Public Member Functions | Static Public Member Functions | Data Fields | Protected Member Functions

# SpriteGroup Struct Reference

Inheritance diagram for SpriteGroup:

## Public Member Functions
virtual SpriteID | GetResult () const
virtual byte | GetNumResults () const
virtual uint16 | GetCallbackResult () const
## Static Public Member Functions
static const SpriteGroup * | Resolve (const SpriteGroup *group, ResolverObject &object, bool top_level=true)
| ResolverObject (re)entry point.
## Data Fields
SpriteGroupType | type
## Protected Member Functions
| SpriteGroup (SpriteGroupType type)
virtual const SpriteGroup * | Resolve (ResolverObject &object) const
| Base sprite group resolver.

## Detailed Description

Definition at line 58 of file newgrf_spritegroup.h.

## Member Function Documentation

const SpriteGroup * SpriteGroup::Resolve | ( | const SpriteGroup * | group,
|  | ResolverObject & | object,
|  | bool | top_level = `true` |
| ) |  |  | `[static]`

ResolverObject (re)entry point.

This cannot be made a call to a virtual function because virtual functions do not like NULL and checking for NULL *everywhere* is more cumbersome than this little helper function.

Parameters:

  | group | the group to resolve for
  | object | information needed to resolve the group
  | top_level | true if this is a top-level SpriteGroup, false if used nested in another SpriteGroup.

Returns:
  the resolved group

Definition at line 33 of file newgrf_spritegroup.cpp.

The documentation for this struct was generated from the following files:

- src/newgrf_spritegroup.h
- src/newgrf_spritegroup.cpp